Error
A valid request URL is required to generate request examples{
"success": true,
"release": {
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
}{
"error": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": null,
"retryable": true,
"requestId": "<string>"
}
}{
"error": "<string>"
}Get release
GET
/
api
/
cicd
/
v1
/
projects
/
{projectId}
/
releases
/
{releaseId}
Error
A valid request URL is required to generate request examples{
"success": true,
"release": {
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
}{
"error": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": null,
"retryable": true,
"requestId": "<string>"
}
}{
"error": "<string>"
}Poll a release until status is “ready” (or “failed”).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
UUID v7; must be in the key/token's projectIds.
Was this page helpful?